﻿/*顶部主导航*/
.open-menu-btn {
  padding: .08rem;
  background: none !important;
}

.dark .hamburger .open-icon {
  -webkit-filter: invert(100%) sepia(100%) saturate(0%) hue-rotate(298deg) brightness(102%) contrast(102%);
  filter: invert(100%) sepia(100%) saturate(0%) hue-rotate(298deg) brightness(102%) contrast(102%);
}

.stick .main-menu .menu-item .fixedCenter {
  top: .47rem;
}

.hamburger .btn-icon,
.hamburger-click .hamburger .close-icon {
  display: block;
}

.hamburger .close-icon,
.hamburger-click .hamburger .open-icon {
  display: none;
}

.main-menu {
  font-family: "Gilroy", "SF Pro SC", "PingFang SC", 微软雅黑, "Microsoft YaHei", "Helvetica Neue", Helvetica, Arial, sans-serif !important;
}

.main-menu .main-menu-box {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.main-menu .filter_bg,
.main-menu .all_news_btn {
  display: none;
}

/* .main-menu .menu-item {
  position: relative;
  list-style: none;
  background: none;
}

.main-menu .menu-item>a {
  padding: .1rem .16rem;
  border-radius: .08rem;
  font-weight: 600;
  display: block;
} */

.main-menu .menu-item:hover>a,
.main-menu .menu-item.active>a {
  background: #f2f2f9;
  color: #980f09;
}

.main-menu .menu-item .down-box {
  padding-top: .3rem;
  display: none;
  opacity: 0;
  position: absolute;
  -webkit-animation-direction: normal;
  animation-direction: normal;
  -webkit-animation-name: submenu_animation;
  animation-name: submenu_animation;
  -webkit-animation-duration: 500ms;
  animation-duration: 500ms;
  -webkit-animation-timing-function: linear;
  animation-timing-function: linear;
  top: .35rem;
  left: 50%;
  -webkit-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  transform: translateX(-50%);
}

.main-menu .menu-item .down-box.admissions {
  left: 0;
  -webkit-transform: translateX(-1.98rem);
  -ms-transform: translateX(-1.98rem);
  transform: translateX(-1.98rem);
}

.main-menu .menu-item:hover .down-box {
  opacity: 1;
  display: block !important;
}

.main-menu .menu-item .down-box-inner {
  -webkit-backdrop-filter: saturate(180%) blur(.2rem);
  backdrop-filter: saturate(180%) blur(.2rem);
  background-color: rgba(255, 255, 255, 0.8);
  border: .01rem solid rgba(27, 27, 35, 0.1019607843);
  border-radius: .12rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -ms-flex-direction: row;
  flex-direction: row;
}

.main-menu .menu-item .down-box-inner .menu-list {
  padding: .24rem;
}

.main-menu .menu-item .down-box-inner .menu-list .down-title {
  color: rgb(1, 5, 68);
  font-size: .2rem;
  font-weight: 600;
  border-bottom: .01rem solid rgba(27, 27, 35, 0.15);
  padding-bottom: .12rem;
  margin-bottom: .06rem;
}

.main-menu .menu-item .down-box-inner .menu-list .down-title .back-btn {
  display: none;
}

.main-menu .menu-item .down-box-inner .menu-list .down-title a {
  color: rgb(1, 5, 68) !important;
  font-weight: 600;
}

.main-menu .menu-item .down-box-inner .menu-list .sub_menu_list {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: nowrap;
  flex-wrap: nowrap;
  gap: .24rem;
}

.main-menu .menu-item .down-box-inner .menu-list .sub_menu_list a {
  color: rgb(1, 5, 68);
  display: block;
  font-size: 0.875em;
  padding: .06rem 0;
}

.main-menu .menu-item .down-box-inner .menu-list .sub_menu_list a:hover {
  color: #980f09;
}

.main-menu .menu-item .down-box-inner .menu-list .sub_menu_list .column_item {
  max-width: 2.2rem;
  min-width: 2.1rem;
}

.main-menu .menu-item .down-box-inner .menu-list .sub_menu_list .two_item .toggle_btn {
  display: none;
}

.main-menu .menu-item .down-box-inner .menu-list .sub_menu_list .two_item>a {
  font-weight: 600;
  font-size: 1em;
}

.main-menu .menu-item .down-box-inner .menu-list .sub_menu_list .three_list {
  padding-left: .12rem;
}

.main-menu .menu-item .down-box-inner .menu-list .sub_menu_list .three_list .item_bold a {
  font-weight: 600;
}

.main-menu .menu-item .down-box-inner .menu-news-box {
  width: 3.65rem;
  padding: .24rem;
  border-left: .01rem solid rgba(27, 27, 35, 0.1019607843);
}

.main-menu .menu-item .down-box-inner .menu-news-box .menu-news-list {
  padding-top: .06rem;
}

.main-menu .menu-item .down-box-inner .menu-news-box .menu-news-list .card {
  margin-bottom: .12rem;
}

.main-menu .menu-item .down-box-inner .menu-news-box .menu-news-list .card .card-body .card-title {
  line-height: .168rem;
}

.main-menu .menu-item .down-box-inner .menu-news-box .menu-news-list .card .card_img {
  height: .92rem;
}

.main-menu .menu-item .down-box-inner .menu-news-box .all-news-link {
  color: rgba(206, 87, 193, 1);
  font-size: .12rem;
}

.main-menu .menu-item .down-box-inner .menu-news-box .all-news-link img {
  width: .12rem;
  height: .12rem;
  -webkit-filter: none;
  filter: none;
}

.main-menu .menu-item .fixedCenter {
  position: fixed;
  top: .95rem;
  left: 50%;
  -webkit-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  transform: translateX(-50%);
}

.main-menu .menu-item .fixedCenter .down-box-inner .menu-news-box {
  border-left: none;
}

.main-menu .menu-item .widthAuto {
  width: 90%;
}

.main-menu .menu-item .widthAuto .down-box-inner {
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

.main-menu .menu-item .widthAuto .sub_menu_list {
  -ms-flex-wrap: wrap !important;
  flex-wrap: wrap !important;
}

.main-menu .menu-item .scroll-style {
  height: calc(100% - .45rem);
}

.main-menu .menu-item .scroll-style .down-box-inner {
  overflow-y: scroll;
  height: 100%;
}


@keyframes submenu_animation {
  from {
    opacity: 0;
  }

  1% {
    opacity: 0;
  }

  99% {
    opacity: 1;
  }

  to {
    opacity: 1;
  }
}



/* @media (min-width: 960px) and (max-width: 1400px) {
  .main-menu .menu-item a {
    padding: .08rem;
    font-size: .18rem;
  }
} */

/*平板*/
@media (max-width: 960px) {
  .main-menu .main-menu-box {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
  }

  .main-menu,
  .main-menu .menu-item .down-box {
    position: fixed;
    right: 0;
    top: 1.32rem;
    width: 4.8rem;
    height: calc(100vh - .55rem);
    -webkit-transform: translateX(100%) !important;
    -ms-transform: translateX(100%) !important;
    transform: translateX(100%) !important;
    opacity: 0;
    -webkit-transition: all 0.5s;
    transition: all 0.5s;
    border-radius: 0;
    padding: .24rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-animation: none !important;
    animation: none !important;
  }

  .main-menu .filter_bg,
  .main-menu .menu-item .down-box .filter_bg {
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    -webkit-backdrop-filter: saturate(180%) blur(20px);
    backdrop-filter: saturate(180%) blur(20px);
    background-color: rgba(255, 255, 255, 0.8);
    z-index: -1;
  }

  .main-menu .menu-item,
  .main-menu .menu-item .down-box .menu-item {
    margin-bottom: .16rem;
  }

  .main-menu .menu-item>a,
  .main-menu .menu-item .down-box .menu-item>a {
    font-weight: 600;
    display: block;
  }

  .main-menu .menu-item a,
  .main-menu .menu-item .down-box .menu-item a {
    padding: .12rem .16rem;
    line-height: 1.2;
    color: rgb(1, 5, 68);
  }

  .main-menu .menu-item:hover>a,
  .main-menu .menu-item.active>a,
  .main-menu .menu-item .down-box .menu-item:hover>a,
  .main-menu .menu-item .down-box .menu-item.active>a {
    background: none;
    color: rgb(27, 27, 35);
  }

  .main-menu .menu-item .down-box {
    top: 0;
    left: 0;
  }

  .main-menu .menu-item .down-box .down-box-inner {
    border: 0;
    background: none;
    display: block;
    -webkit-backdrop-filter: none;
    backdrop-filter: none;
  }

  .main-menu .menu-item .down-box .down-box-inner .menu-news-box {
    display: none !important;
  }

  .main-menu .menu-item .down-box .down-box-inner .menu-list {
    padding: 0;
  }

  .main-menu .menu-item .down-box .down-box-inner .menu-list .down-title {
    border: 0;
    position: relative;
    padding-left: .32rem;
  }

  .main-menu .menu-item .down-box .down-box-inner .menu-list .down-title .back-btn {
    display: block;
    background: url("../images/direction_left.svg") no-repeat center;
    background-size: cover;
    width: .25rem;
    height: .25rem;
    cursor: pointer;
    position: absolute;
    left: 0;
    top: .02rem;
  }

  .main-menu .menu-item .down-box .down-box-inner .menu-list .sub_menu_list {
    gap: 0;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
  }

  .main-menu .menu-item .down-box .down-box-inner .menu-list .sub_menu_list a {
    color: rgb(1, 5, 68) !important;
    padding: .12rem .16rem;
    border-radius: .08rem;
  }

  .main-menu .menu-item .down-box .down-box-inner .menu-list .sub_menu_list .column_item {
    max-width: 100%;
    min-width: 100%;
  }

  .main-menu .menu-item .down-box .down-box-inner .menu-list .sub_menu_list .three_list {
    padding-left: 0;
    -webkit-transition: all 0.4s;
    transition: all 0.4s;
    display: grid;
    grid-template-rows: 0fr;
    overflow: hidden;
  }

  .main-menu .menu-item .down-box .down-box-inner .menu-list .sub_menu_list .three_list .three_box {
    min-height: 0;
  }

  .main-menu .menu-item .down-box .down-box-inner .menu-list .sub_menu_list .three_list .three_box .three_item:first-child {
    margin-top: .06rem;
  }

  .main-menu .menu-item .down-box .down-box-inner .menu-list .sub_menu_list .two_item>a {
    position: relative;
    -webkit-transition: all 0.4s;
    transition: all 0.4s;
  }

  .main-menu .menu-item .down-box .down-box-inner .menu-list .sub_menu_list .two_item .toggle_btn {
    display: block;
    background: url("../images/mutation1_down_little.svg") no-repeat center;
    background-size: 0.5rem !important;
    /* background-size: 100% 100%; */
    /* 或者 auto */
    width: .22rem;
    height: .22rem;
    position: absolute;
    right: .16rem;
    top: 50%;
    margin-top: -0.11rem;
    -webkit-transition: all 0.4s;
    transition: all 0.4s;
    -webkit-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  .main-menu .menu-item .down-box .down-box-inner .menu-list .sub_menu_list .two_item.show-three .three_list {
    grid-template-rows: 1fr;
  }

  .main-menu .menu-item .down-box .down-box-inner .menu-list .sub_menu_list .two_item.show-three>a {
    background: rgba(242, 242, 249, 1);
    color: #980f09 !important;
  }

  .main-menu .menu-item .down-box .down-box-inner .menu-list .sub_menu_list .two_item.show-three .toggle_btn {
    background: url("../images/mutation1_up_little.svg") no-repeat center;
    -webkit-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
  }

  .hamburger-click .main-menu.open-sub {
    -webkit-transform: translateX(100%) !important;
    -ms-transform: translateX(100%) !important;
    transform: translateX(100%) !important;
  }

  .hamburger-click .main-menu {
    -webkit-transform: translateX(0) !important;
    -ms-transform: translateX(0) !important;
    transform: translateX(0) !important;
    opacity: 1;
  }

  .main-menu.open-sub .open-sub-menu .down-box {
    -webkit-transform: translateX(-4.8rem) !important;
    -ms-transform: translateX(-4.8rem) !important;
    transform: translateX(-4.8rem) !important;
    opacity: 1;
  }
}

/*手机*/
@media (max-width: 560px) {
  .main-menu {
    -webkit-transition: grid-template-rows 0.4s, opacity 0.4s;
    transition: grid-template-rows 0.4s, opacity 0.4s;
    transition: grid-template-rows 0.4s, opacity 0.4s, -ms-grid-rows 0.4s;
    display: grid;
    grid-template-rows: 0fr;
    overflow: hidden;
  }

  .main-menu .main-menu-box {
    min-height: 0;
    width: 100vw;
  }

  .hamburger-click .main-menu {
    grid-template-rows: 1fr;
    overflow: visible;
    opacity: 1;
  }

  .hamburger-click .main-menu.open-sub {
    -webkit-transform: translateX(-100%) !important;
    -ms-transform: translateX(-100%) !important;
    transform: translateX(-100%) !important;
  }

  .main-menu,
  .main-menu .menu-item .down-box {
    width: 100%;
    position: absolute;
    height: auto;
    max-height: calc(100vh - .55rem);
    -webkit-transform: translateX(0) !important;
    -ms-transform: translateX(0) !important;
    transform: translateX(0) !important;
    top: .85rem;
    bottom: auto;
  }

  .main-menu .menu-item .down-box {
    position: fixed;
    -webkit-transition: none;
    transition: none;
    display: none;
    opacity: 1;
    top: 0;
    visibility: hidden;
    -webkit-transform: translateX(100%) !important;
    -ms-transform: translateX(100%) !important;
    transform: translateX(100%) !important;
  }

  .main-menu.open-sub .open-sub-menu .down-box {
    display: block;
    visibility: visible;
    -webkit-transform: translateX(100%) !important;
    -ms-transform: translateX(100%) !important;
    transform: translateX(100%) !important;
  }
}